#ifndef _LINUX_IPT_IFWLOG_H
#define _LINUX_IPT_IFWLOG_H

#ifndef NETLINK_IFWLOG
#define NETLINK_IFWLOG  20
#endif

/* Multicast groups - backwards compatiblility for userspace */
#define IFWLOG_NLGRP_NONE 0x00000000
#define IFWLOG_NLGRP_DEF  0x00000001 /* default message group */

enum {
	IFWLOGNLGRP_NONE,
#define IFWLOGNLGRP_NONE IFWLOGNLGRP_NONE
	IFWLOGNLGRP_DEF,
#define IFWLOGNLGRP_DEF IFWLOGNLGRP_DEF
	__IFWLOGNLGRP_MAX
};
#define IFWLOGNLGRP_MAX (__IFWLOGNLGRP_MAX - 1)

#define PREFSIZ         32

struct nl_msg {				/* Netlink message */
	long timestamp_sec;             /* time packet */
	char indev_name[IFNAMSIZ];      /* name of the ingoing interface */
	char outdev_name[IFNAMSIZ];     /* name of the outgoing interface */
	unsigned char prefix[PREFSIZ];  /* informations on the logging reason */
	struct iphdr ip;
	union {
		struct tcphdr th;
		struct udphdr uh;
	} h;
};

struct ipt_IFWLOG_info {
	char prefix[PREFSIZ];
};

#endif /* _LINUX_IPT_IFWLOG_H */
